Exit = class('Exit',Entity) 
local super = Entity

function Exit:initialize(x,y,w,h)
	super.initialize(self,x,y)
	
	self.w = w or 32
	self.h = h or 32

	self:SetupBBox("exit", self.x, self.y, self.w, self.h)
end

function Exit:Draw()
	--setup locals for perf
	local gfx = love.graphics
	
	--incredibly inefficient! just haven't made a sprite yet
	gfx.setColor(255,255,255,255)
	gfx.rectangle("fill",self.x,self.y,4,4)
	gfx.rectangle("fill",self.x+8,self.y,4,4)
	gfx.rectangle("fill",self.x+16,self.y,4,4)
	gfx.rectangle("fill",self.x+24,self.y,4,4)
	gfx.rectangle("fill",self.x+4,self.y+4,4,4)
	gfx.rectangle("fill",self.x+12,self.y+4,4,4)
	gfx.rectangle("fill",self.x+20,self.y+4,4,4)
	gfx.rectangle("fill",self.x+28,self.y+4,4,4)

	gfx.rectangle("fill",self.x,self.y+8,4,4)
	gfx.rectangle("fill",self.x+8,self.y+8,4,4)
	gfx.rectangle("fill",self.x+16,self.y+8,4,4)
	gfx.rectangle("fill",self.x+24,self.y+8,4,4)
	gfx.rectangle("fill",self.x+4,self.y+12,4,4)
	gfx.rectangle("fill",self.x+12,self.y+12,4,4)
	gfx.rectangle("fill",self.x+20,self.y+12,4,4)
	gfx.rectangle("fill",self.x+28,self.y+12,4,4)

	gfx.rectangle("fill",self.x,self.y+16,4,4)
	gfx.rectangle("fill",self.x+8,self.y+16,4,4)
	gfx.rectangle("fill",self.x+16,self.y+16,4,4)
	gfx.rectangle("fill",self.x+24,self.y+16,4,4)
	gfx.rectangle("fill",self.x+4,self.y+20,4,4)
	gfx.rectangle("fill",self.x+12,self.y+20,4,4)
	gfx.rectangle("fill",self.x+20,self.y+20,4,4)
	gfx.rectangle("fill",self.x+28,self.y+20,4,4)

	gfx.rectangle("fill",self.x,self.y+24,4,4)
	gfx.rectangle("fill",self.x+8,self.y+24,4,4)
	gfx.rectangle("fill",self.x+16,self.y+24,4,4)
	gfx.rectangle("fill",self.x+24,self.y+24,4,4)
	gfx.rectangle("fill",self.x+4,self.y+28,4,4)
	gfx.rectangle("fill",self.x+12,self.y+28,4,4)
	gfx.rectangle("fill",self.x+20,self.y+28,4,4)
	gfx.rectangle("fill",self.x+28,self.y+28,4,4)
end

function Exit:Kill()
	bump.remove(self.bbox)
	super.Kill(self)
end
