Pop = class('Pop',Entity) 
local super = Entity

--setup locals for perf
local gfx = love.graphics

local ANIMATION_TIME = 0.125

function Pop:initialize(x,y,color)
	super.initialize(self,x,y,false)

	self.color = color or {255,255,255}

	self.timer = ANIMATION_TIME
	self.size = 1 - self.timer
end

function Pop:Update(dt)
	self.timer = self.timer - dt
	if self.timer <= 0 then 
		self:Kill()
	end

	self.size = 1 - (self.timer * 2)
end

function Pop:Draw()
	gfx.setColor(self.color)
	gfx.circle("line",self.x,self.y,16*self.size,16*self.size)
	gfx.setColor(255,255,255)
end