PlayerSword = class('PlayerSword',Entity) 
local super = Entity

local PLAYER_SWORD_DAMAGE = 100
local PLAYER_SWORD_LIFE = 0.04

function PlayerSword:initialize(master,x,y,w,h)
	super.initialize(self,x,y)
	local smaster = master or {x = 0, y = 0, w = 32, h = 32, dir = {x = 1, y = 0}}

	if smaster.dir.x ~= 0 then 
		self.w = w or 32
		self.h = h or 16
		self.y = self.y + self.h / 2
	else
		self.h = w or 32
		self.w = h or 16
		self.x = self.x + self.h / 4
	end

	self:SetupBBox("playerSword", self.x, self.y, self.w, self.h)
	self.timer = PLAYER_SWORD_LIFE
end

function PlayerSword:Update(dt)
	if self.timer > 0 then self.timer = self.timer - dt
	else self:Kill() end
end

function PlayerSword:Draw()
	love.graphics.setColor(50,255,255,255)
	love.graphics.rectangle("line",self.x,self.y,self.w,self.h)
	love.graphics.setColor(255,255,255)
end

function PlayerSword:Kill()
	bump.remove(self.bbox)
	super.Kill(self)
end
