--DUNGEON MAN 
--by Ben White, aka "scutheotaku"
--@scutheotaku1
--COPYRIGHT BENJAMIN WHITE 2013
--Currently listening to "Get Lucky" by Daft Punk

require "lib.middleclass"
bump = require 'lib.bump'

require "EntityManager"
require "Game"

require "assets.assets"

require "classes.mixins.bump"
require "classes.Entity"
require "classes.Player"
require "classes.PlayerSword"
require "classes.PlayerBullet"
require "classes.Pop"
require "classes.Walker"
require "classes.Exit"

require "levels.LevelLoader"

function love.load()		
	SetupScreen()
	LoadAssets()
	Game.Setup()
	LevelLoader.LoadLevel(currentLevel)
end

function love.update(dt)
	--if dt < 1/30 then
      --love.timer.sleep(1/30 - dt)
   --end
	Game.Update(dt)
end

function love.draw()
	love.graphics.print("DUNGEON MAN - WELCOME!",4,4)

	Game.Draw()
end

function love.keypressed(k)
	KeyEvent = {keyPressed = true, key = k}
end

function SetupScreen()
	screen = {
		width 			= 1280,
		height 			= 720,
		fullscreen 		= false,
		flickerTimer 	= math.random(3,25),
		flickerInterval = 0.075 * math.random(1,2.5), 
		gridDraw 		= true
	}

	love.graphics.setMode(screen.width,screen.height,screen.fullscreen)
end


